import vl from 'vega-lite-api';
export const viz01 = vl
  .markCircle({ size: 100, opacity: 0.5 })
  .encode(
    vl.x().fieldQ('CDR').title('Dementia').scale({ zero: false }),
    vl.y().fieldQ('nWBV').title('Brain Vol').scale({ zero: false }),
    vl.color().fieldN('Educ').title('Edu'),
    vl.size().fieldN('CDR').title('Dementia'),
    vl.tooltip().fieldN('SES')
  );

export const viz02 = vl
  .markCircle({ size: 100, opacity: 0.5 })
  .encode(
    vl.x().fieldQ('eTIV').title('Est. Tot. Vol').scale({ zero: false }),
    vl.y().fieldQ('ASF').scale({ zero: false }),
    vl.color().fieldN('M/F'),
    vl.size().fieldN('CDR').title('Dementia'),
    vl.tooltip().fieldN('SES')
  );

export const viz03 = vl
  .markCircle({ size: 100, opacity: 0.5 })
  .encode(
    vl.x().fieldQ('Age').scale({ zero: false }),
    vl.y().fieldQ('nWBV').title('Brain Vol').scale({ zero: false }),
    vl.color().fieldN('Educ').title('Edu'),
    vl.size().fieldN('CDR').title('Dementia'),
    vl.tooltip().fieldN('SES')
  );

export const viz04 = vl
  .markCircle({ size: 100, opacity: 0.5 })
  .encode(
    vl.x().fieldQ('eTIV').title('Est. Tot. Vol').scale({ zero: false }),
    vl.y().fieldQ('nWBV').title('Brain Vol').scale({ zero: false }),
    vl.color().fieldN('M/F'),
    vl.size().fieldN('CDR').title('Dementia'),
    vl.tooltip().fieldN('SES')
  );
